<?php

/**
 * @link              pramadillo.com
 * @since             1.0.0
 * @package           Activecampaign_email_preference_center
 *
 * @wordpress-plugin
 * Plugin Name: ActiveCampaign Email Preference Center
 * Plugin URI:        https://pramadillo.com/active-campaign-email-preference-center
 * Description:       Allow your ActiveCampaign users to manage their email subscriptions through a email preference center.
 * Version:           2.0.2
 * Author:            Pramadillo Plugins
 * Author URI:        pramadillo.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       activecampaign_email_preference_center
 * Domain Path:       /languages
 */
// If this file is called directly, abort.
if ( !defined( 'WPINC' ) ) {
    die;
}
define( 'ACEPC_PLUGIN_VERSION', '2.0.2' );
require plugin_dir_path( __FILE__ ) . 'includes/class-activecampaign-email-preference-center.php';
require plugin_dir_path( __FILE__ ) . 'vendor/autoload.php';

if ( function_exists( 'ac_freemius' ) ) {
    ac_freemius()->set_basename( false, __FILE__ );
} else {
    function ac_freemius()
    {
        global  $ac_freemius ;
        
        if ( !isset( $ac_freemius ) ) {
            // Include Freemius SDK.
            require_once plugin_dir_path( __FILE__ ) . 'vendor/freemius/wordpress-sdk/start.php';
            $ac_freemius = fs_dynamic_init( array(
                'id'              => '1365',
                'slug'            => 'activecampaign-email-preference-center',
                'type'            => 'plugin',
                'public_key'      => 'pk_09dcedcee9096158e60b8624f4923',
                'is_premium'      => false,
                'premium_suffix'  => 'Premium',
                'has_addons'      => false,
                'has_paid_plans'  => true,
                'trial'           => array(
                'days'               => 7,
                'is_require_payment' => true,
            ),
                'has_affiliation' => 'selected',
                'menu'            => array(
                'slug'        => 'activecampaign-preference-center',
                'contact'     => false,
                'support'     => false,
                'affiliation' => false,
                'parent'      => array(
                'slug' => 'options-general.php',
            ),
            ),
                'is_live'         => true,
            ) );
        }
        
        return $ac_freemius;
    }

}

function run_activecampaign_email_preference_center()
{
    ac_freemius();
    do_action( 'ac_freemius_loaded' );
    ac_freemius()->add_filter( 'plugin_icon', 'activecampaign_email_preference_center_fs_custom_icon' );
    $plugin = new Activecampaign_email_preference_center();
    $plugin->run();
}

function activecampaign_email_preference_center_fs_custom_icon()
{
    return dirname( __FILE__ ) . '/admin/img/icon.png';
}

run_activecampaign_email_preference_center();