<div class="postbox">
	<h2 class="hndle"><?php esc_attr_e( 'ActiveCampaign Lists', 'activecampaign_email_preference_center' ); ?></h2>

	<div class="inside">
        <p><?php esc_attr_e( 'If you have added new, or updated lists in ActiveCampaign you will need to Sync with ActiveCampaign by pressing the button below.', 'activecampaign_email_preference_center' ); ?></p>
		<?php if(!$list_data): ?>
            <div class="notice notice-error inline">
                <p><?php _e( 'You have never Synced with ActiveCampaign. Please sync now by pressing the <strong>"Sync ActiveCampaign Lists"</strong> button below.', 'activecampaign_email_preference_center' ); ?></p>
            </div>
		<?php endif; ?>

        <form method="post">
            <?php foreach ( $lists as $list_id => $list ): ?>
                <input type="hidden" name="name[<?php echo $list['id']; ?>]" value="<?php echo $list['name']; ?>">
                <input type="hidden" name="list_id[]" value="<?php echo $list['id']; ?>">
            <?php endforeach; ?>
            <input type="hidden" name="updated" value="true" />
			<?php wp_nonce_field( 'save_list_data', 'save_list_data_nonce' ); ?>
			<?php submit_button( 'Sync ActiveCampaign Lists' ); ?>
        </form>

		<h1><?php esc_attr_e( 'Premium Features', 'activecampaign_email_preference_center' ); ?></h1>
		<p><?php esc_attr_e( 'With the Premium version each of your ActiveCampaign Lists would be outputted below.  You could then toggle if this list is included in email preference center on the front-end of site.  You could also input a description for each list which would be shown to the visitor.', 'activecampaign_email_preference_center' ); ?></p>
		<a href="<?php echo $ac_freemius->get_upgrade_url(); ?>"><img src="<?php echo plugins_url( 'img/premium-settings.jpg', __DIR__ ); ?>" style="max-width:100%"></a>
	</div>
</div>

