<div id="postbox-container-1" class="postbox-container">
    <div class="postbox">
        <h2 class="hndle"><?php esc_attr_e( 'Usage & Shortcodes', 'activecampaign_email_preference_center' ); ?></h2>

        <div class="inside">
            <p><?php esc_attr_e( 'Usage is simple.  Copy and paste the shortcode below to any page or post on your site and the email preference center will appear.', 'activecampaign_email_preference_center' ); ?></p>
            <p><input type="text" value="[ac-preference-center]" class="code" style="width:100%"></p>

			<?php if ( $ac_freemius->is_not_paying() ): ?>
                <div class="hilite">
                    <h3>Upgrade to Premium Version</h3>
                    <select id="licenses">
                        <option value="1" selected="selected">Single Site License</option>
                        <option value="5">5-Site License</option>
                        <option value="unlimited">Unlimited Sites License</option>
                    </select>
                    <button id="purchase">Order Now</button>
                    <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
                    <script src="https://checkout.freemius.com/checkout.min.js"></script>
                    <script>
                        var handler = FS.Checkout.configure({
                            plugin_id: '1365',
                            plan_id: '1944',
                            public_key: 'pk_09dcedcee9096158e60b8624f4923',
                            image: 'https://pramadillo.com/wp-content/uploads/2018/08/pramadillo.png'
                        });

                        $('#purchase').on('click', function (e) {
                            handler.open({
                                name: 'ActiveCampaign Email Preference Center',
                                licenses: $('#licenses').val(),
                                // You can consume the response for after purchase logic.
                                success: function (response) {
                                    // alert(response.user.email);
                                }
                            });
                            e.preventDefault();
                        });
                    </script>
                    <hr>
                    <p>
                        <strong>The following features are only available in the premium version.</strong>
                    </p>
                </div>
			<?php endif; ?>


            <h3><?php esc_attr_e( 'Shortcode Options', 'activecampaign_email_preference_center' ); ?></h3>
            <p><?php esc_attr_e( 'The following are attributes that you can place inside the shortcode for additional functionality.', 'activecampaign_email_preference_center' ); ?></p>
            <ul class="ac-shortcode-options">
                <li><code>show_action_text</code>
                    <ul>
                        <li>
                            <span class="description"><?php esc_attr_e( 'Default is True. If false, this will hide all action text.  I.E. "To subscribe to this list check this box and click the submit button at bottom of page."', 'activecampaign_email_preference_center' ); ?></span>
                        </li>
                        <li><?php esc_attr_e( 'Example:', 'activecampaign_email_preference_center' ); ?><br>
                            <input type="text" value="[ac-preference-center show_action_text=false]" class="code">
                        </li>
                    </ul>
                </li>

                <li><code>show_list_descriptions</code>
                    <ul>
                        <li>
                            <span class="description"><?php esc_attr_e( 'Default is True. If false, this will hide all list descriptions', 'activecampaign_email_preference_center' ); ?></span>
                        </li>
                        <li><?php esc_attr_e( 'Example:', 'activecampaign_email_preference_center' ); ?><br>
                            <input type="text" value="[ac-preference-center show_list_descriptions=false]" class="code">
                        </li>
                    </ul>
                </li>
                <li><code>show_welcome_text</code>
                    <ul>
                        <li>
                            <span class="description"><?php esc_attr_e( 'Default is True. If false, this will hide the "Welcome {email}, you are subscribed to the following lists!" text.', 'activecampaign_email_preference_center' ); ?></span>
                        </li>
                        <li><?php esc_attr_e( 'Example:', 'activecampaign_email_preference_center' ); ?><br>
                            <input type="text" value="[ac-preference-center show_welcome_text=false]" class="code">
                        </li>
                    </ul>
                </li>
                <li><code>list_ids</code>
                    <ul>
                        <li>
                            <span class="description"><?php esc_attr_e( 'Optional:  Add in the list ids separated by commas that you want the specific shortcode to display.', 'activecampaign_email_preference_center' ); ?></span>
                        </li>
                        <li><?php esc_attr_e( 'Example:', 'activecampaign_email_preference_center' ); ?><br>
                            <input type="text" value="[ac-preference-center list_ids=2,12,32]" class="code">
                        </li>
                    </ul>
                </li>
            </ul>
        </div>

    </div>
    <div class="postbox">
        <h2 class="hndle"><?php esc_attr_e( 'Have Questions? Request a Feature?', 'activecampaign_email_preference_center' ); ?></h2>

        <div class="inside">
            <p><?php esc_attr_e( 'If you have any questions or want to suggest a feature request please reach out to me at pramadillo.com.  If you really dig this plugin consider leaving me a review!', 'activecampaign_email_preference_center' ); ?></p>
            <h3><?php esc_attr_e( 'Additional Help', 'activecampaign_email_preference_center' ); ?></h3>
            <ul>
                <li><a href="https://pramadillo.com/plugins/activecampaign-email-preference-center/#usage" target="_blank"><?php esc_attr_e( 'Usage', 'activecampaign_email_preference_center' ); ?></a></li>
                <li><a href="https://pramadillo.com/plugins/activecampaign-email-preference-center/#faq" target="_blank"><?php esc_attr_e( 'FAQ', 'activecampaign_email_preference_center' ); ?></a></li>
                <li><a href="https://pramadillo.com/feature-requests/" target="_blank"><?php esc_attr_e( 'Feature Requests', 'activecampaign_email_preference_center' ); ?></a></li>
                <li><a href="https://pramadillo.com/documentation/category/activecampaign-email-preference-center/" target="_blank"><?php esc_attr_e( 'Documentation', 'activecampaign_email_preference_center' ); ?></a></li>
            </ul>
        </div>

    </div>
</div>



<style>

    .ac-shortcode-options > li {
        margin-bottom: 25px;
    }

    .ac-shortcode-options .description {
        font-size:   11px;
        line-height: 0;
    }

    .ac-shortcode-options .code {
        width: 100%;
    }

    .hilite {
        background: #0073aa;
        color:      #fff;
        padding:    10px;
    }

    .hilite h3 {
        color:         #fff;
        padding:       0;
        margin:        0;
        margin-bottom: 5px;
    }


</style>